Bug 1766076

Summary: Evolution will not start after libWPEBackend-fdo is installed
Product: [Fedora] Fedora Reporter: Timm Stamer <timm2k>
Component: webkit2gtk3Assignee: Michael Catanzaro <mcatanzaro+wrong-account-do-not-cc>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: bunnyapocalypse, erack, gnome-sig, mcatanzaro+wrong-account-do-not-cc, tpopela
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: webkit2gtk3-2.26.1-3.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-29 05:49:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Timm Stamer 2019-10-28 08:09:25 UTC
Description of problem:

Evolution does not start after libWPEBackend-fdo was installed as dependency of last update set.


Version-Release number of selected component (if applicable):
wpebackend-fdo-1.4.0-1.fc30.x86_64

How reproducible:
Fedora 30 Desktop install latest testing updates 


Steps to Reproduce:
1. dnf update -y
2. evolution


Actual results:

$ LANG=C evolution 

(evolution:25635): Gtk-WARNING **: 08:46:50.027: Failed to register client: GDBus.Error:org.gnome.SessionManager.AlreadyRegistered: Unable to register client

(evolution-alarm-notify:25643): GLib-GIO-WARNING **: 08:46:50.256: Your application did not unregister from D-Bus before destruction. Consider using g_application_run().
wpe_loader_init could not load the library 'libWPEBackend-fdo-1.0.so': libWPEBackend-fdo-1.0.so: cannot open shared object file: No such file or directory
wpe: could not load the impl library. Is there any backend installed?: libWPEBackend-default.so: cannot open shared object file: No such file or directory
Abgebrochen (Speicherabzug geschrieben)
$

Expected results:
evoution starts

Additional info (workaround):

evolution will start again after symlink for libWPEBackend-default.so is created:

$ sudo ln -s /usr/lib64/libWPEBackend-fdo-1.0.so.1 /usr/lib64/libWPEBackend-default.so

Comment 1 Michael Catanzaro 2019-10-28 13:16:15 UTC
Oops, WPE renderer got enabled but it's not expected to work in F30. We'll have a fixed update in a day or so.

Comment 2 Michael Catanzaro 2019-10-28 13:17:18 UTC
Oh in the meantime, a better workaround is to install wpebackend-fdo-devel and libwpe-devel.

Comment 3 Michael Catanzaro 2019-10-28 17:11:27 UTC
OK from this bug report, I had assumed the bad update had gone stable, but it's still in testing so stable users were never affected. Thanks for catching the issue and reporting it early!

Comment 5 Fedora Update System 2019-10-29 04:20:07 UTC
webkit2gtk3-2.26.1-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99db7a510e

Comment 6 Timm Stamer 2019-10-29 05:49:45 UTC
I can confirm this solved with webkit2gtk3-2.26.1-3.fc30.

There are no other dependencies for libwpe and wpebackend-fdo. "dnf erase libwpe wpebackend-fdo" works fine and Evolution runs fine.

Comment 7 Fedora Update System 2019-11-03 00:12:10 UTC
webkit2gtk3-2.26.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.